#!/bin/sh

### BEGIN INIT INFO
# Provides:          dpdk
# Required-Start:    $remote_fs $local_fs
# Required-Stop:     $remote_fs $local_fs
# Default-Start:     S
# Default-Stop:      0 1 6
# Short-Description: start dpdk runtime environment
### END INIT INFO

set -e

PATH="/sbin:/bin:/usr/bin"

[ -d /lib/dpdk ] || exit 0

error=0
case "$1" in
start)
    echo "Starting DPDK environment"
    output=$(/lib/dpdk/dpdk-init start 2>&1) || error="$?"
    if [ -n "$output" ]; then
        echo "$output" | while read line; do
            echo "$line"
        done
    fi
    echo $error
    exit $error
    ;;
stop)
    ;;
try-restart|restart|force-reload)
    ;;
status)
    output=$(/lib/dpdk/dpdk-init status 2>&1) || error="$?"
    if [ -n "$output" ]; then
        echo "$output" | while read line; do
            echo "$line"
        done
    fi
    echo "$error"
    exit $error
    ;;
*)
    echo "Usage: $0 {start|stop|restart|force-reload|status}"
    exit 1
    ;;
esac

exit 0

